Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Private Member Functions | Private Attributes | List of all members
eZ\Publish\Core\MVC\Symfony\Controller\Content\QueryController Class Reference

A content view controller that runs queries based on the matched view configuration. More...

## Public Member Functions
| __construct (ContentViewQueryTypeMapper $contentViewQueryTypeMapper, SearchService $searchService)
| contentQueryAction (ContentView $view)
| Runs a content search. More...
| locationQueryAction (ContentView $view)
| Runs a location search. More...
| contentInfoQueryAction (ContentView $view)
| Runs a contentInfo search. More...

## Private Member Functions
| runQuery (ContentView $view, $method)
| Runs the Query defined in $view using $method on SearchService. More...

## Private Attributes
| $searchService
| $contentViewQueryTypeMapper

## Detailed Description

A content view controller that runs queries based on the matched view configuration.

The action used depends on which type of search is needed: location, content or contentInfo.

Definition at line 18 of file QueryController.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZ\Publish\Core\MVC\Symfony\Controller\Content\QueryController::__construct | ( | ContentViewQueryTypeMapper | $contentViewQueryTypeMapper,
|  | SearchService | $searchService
| ) |  |

Definition at line 26 of file QueryController.php.

References eZ\Publish\Core\MVC\Symfony\Controller\Content\QueryController\$contentViewQueryTypeMapper, and eZ\Publish\Core\MVC\Symfony\Controller\Content\QueryController\$searchService.

## Member Function Documentation

## ◆ contentInfoQueryAction()

eZ\Publish\Core\MVC\Symfony\Controller\Content\QueryController::contentInfoQueryAction | ( | ContentView | $view | ) |

Runs a contentInfo search.

Parameters

  ContentView | $view |

Returns
  ContentView

Definition at line 69 of file QueryController.php.

References eZ\Publish\Core\MVC\Symfony\Controller\Content\QueryController\runQuery().

## ◆ contentQueryAction()

eZ\Publish\Core\MVC\Symfony\Controller\Content\QueryController::contentQueryAction | ( | ContentView | $view | ) |

Runs a content search.

Parameters

  ContentView | $view |

Returns
  ContentView

Definition at line 41 of file QueryController.php.

References eZ\Publish\Core\MVC\Symfony\Controller\Content\QueryController\runQuery().

## ◆ locationQueryAction()

eZ\Publish\Core\MVC\Symfony\Controller\Content\QueryController::locationQueryAction | ( | ContentView | $view | ) |

Runs a location search.

Parameters

  ContentView | $view |

Returns
  ContentView

Definition at line 55 of file QueryController.php.

References eZ\Publish\Core\MVC\Symfony\Controller\Content\QueryController\runQuery().

## ◆ runQuery()

eZ\Publish\Core\MVC\Symfony\Controller\Content\QueryController::runQuery | ( | ContentView | $view,
|  |  | $method
| ) |  |
| private

Runs the Query defined in $view using $method on SearchService.

Parameters

  ContentView | $view |
  string | $method | Name of the SearchService method to run.

Definition at line 82 of file QueryController.php.

References eZ\Publish\Core\MVC\Symfony\View\BaseView\addParameters(), and eZ\Publish\Core\MVC\Symfony\View\BaseView\getParameter().

Referenced by eZ\Publish\Core\MVC\Symfony\Controller\Content\QueryController\contentInfoQueryAction(), eZ\Publish\Core\MVC\Symfony\Controller\Content\QueryController\contentQueryAction(), and eZ\Publish\Core\MVC\Symfony\Controller\Content\QueryController\locationQueryAction().

## Member Data Documentation

## ◆ $contentViewQueryTypeMapper

eZ\Publish\Core\MVC\Symfony\Controller\Content\QueryController::$contentViewQueryTypeMapper
| private

Definition at line 24 of file QueryController.php.

Referenced by eZ\Publish\Core\MVC\Symfony\Controller\Content\QueryController\__construct().

## ◆ $searchService

eZ\Publish\Core\MVC\Symfony\Controller\Content\QueryController::$searchService
| private

Definition at line 21 of file QueryController.php.

Referenced by eZ\Publish\Core\MVC\Symfony\Controller\Content\QueryController\__construct().

The documentation for this class was generated from the following file:

- QueryController.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.